Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class PersistenceContextRefTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.PersistenceContextRefTypeImplTestCase

    public class PersistenceContextRefTypeImplTestCase

extends java.lang.Object

Constructor Summary
`PersistenceContextRefTypeImplTestCase()`

Method Summary
`void` | `testDescription()`
`void` | `testPersistenceContextRefName()`
`void` | `testPersistenceContextType()`
`void` | `testPersistenceProperty()`
`void` | `testPersistenceUnitName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceContextRefTypeImplTestCase

    public PersistenceContextRefTypeImplTestCase()

Method Detail

### testDescription

    public void testDescription()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPersistenceContextRefName

    public void testPersistenceContextRefName()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPersistenceUnitName

    public void testPersistenceUnitName()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPersistenceContextType

    public void testPersistenceContextType()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPersistenceProperty

    public void testPersistenceProperty()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD